#ifndef _AGATRT_FAX_IMAGE_CODEC_
#define _AGATRT_FAX_IMAGE_CODEC_

#include <stdlib.h>

#ifdef AFIC_EXPORTS
#define DllOption
#else
#define AppOption
#endif

#if defined( DllOption)
#define DllExport   __declspec( dllexport )
#else
#define DllExport
#endif

#if defined( AppOption)
#define DllImport   __declspec( dllimport )
#pragma comment( lib, "afic.lib" )
#else
#define DllImport
#endif

#define _AFIC_Fax_Page_Width_		1728
#define _AFIC_Fax_Page_Height_		2444

typedef struct _THuffmanToBmpParams
{
	char pszHuffmanFileName[_MAX_PATH];
	char pszBmpFileName[_MAX_PATH];
	DWORD dwPageCount;
	DWORD dwResolution;			// 0 - standart, 1 - fine, 2- super fine
}THuffmanToBmpParams;

typedef struct _TBmpToHuffmanParams
{
	char pszHuffmanFileName[_MAX_PATH];
	char pszBmpFileName[_MAX_PATH];
	DWORD dwResolution;			// 0 - standart, != 0 - fine
	DWORD dwNeedStretch;		// 0 - no, 1 - need stretch
}TBmpToHuffmanParams;

extern "C" DllExport DllImport DWORD dwAFICBmpToFax( TBmpToHuffmanParams *lpParams);
extern "C" DllExport DllImport DWORD dwAFICFaxToBmp( THuffmanToBmpParams *lpParams);
extern "C" DllExport DllImport DWORD dwAFICStolenFaxToBmp( THuffmanToBmpParams *lpParams);

#endif